# No copyright

EAPI=8

CRATES="
	aho-corasick@1.0.4
	anstream@0.6.11
	anstyle-parse@0.2.1
	anstyle-query@1.0.0
	anstyle-wincon@3.0.2
	anstyle@1.0.8
	bitflags@2.6.0
	clap@4.5.15
	clap_builder@4.5.15
	clap_derive@4.5.13
	clap_lex@0.7.0
	colorchoice@1.0.0
	equivalent@1.0.0
	errno@0.3.9
	hashbrown@0.14.0
	heck@0.5.0
	indexmap@2.0.0
	libc@0.2.147
	linux-raw-sys@0.4.14
	log@0.4.19
	memchr@2.7.1
	proc-macro-crate@3.1.0
	proc-macro2@1.0.78
	quick-xml@0.32.0
	quote@1.0.28
	regex-automata@0.4.5
	regex-syntax@0.8.2
	regex@1.10.6
	river-layout-toolkit@0.1.6
	rustix@0.38.13
	strsim@0.11.0
	syn@2.0.22
	terminal_size@0.3.0
	thiserror-impl@1.0.40
	thiserror@1.0.40
	toml_datetime@0.6.6
	toml_edit@0.21.1
	unicode-ident@1.0.9
	utf8parse@0.2.1
	wayrs-client@1.1.1
	wayrs-core@1.0.2
	wayrs-proto-parser@2.0.2
	wayrs-scanner@0.14.1
	windows-sys@0.48.0
	windows-sys@0.52.0
	windows-targets@0.48.5
	windows-targets@0.52.0
	windows_aarch64_gnullvm@0.48.5
	windows_aarch64_gnullvm@0.52.0
	windows_aarch64_msvc@0.48.5
	windows_aarch64_msvc@0.52.0
	windows_i686_gnu@0.48.5
	windows_i686_gnu@0.52.0
	windows_i686_msvc@0.48.5
	windows_i686_msvc@0.52.0
	windows_x86_64_gnu@0.48.5
	windows_x86_64_gnu@0.52.0
	windows_x86_64_gnullvm@0.48.5
	windows_x86_64_gnullvm@0.52.0
	windows_x86_64_msvc@0.48.5
	windows_x86_64_msvc@0.52.0
	winnow@0.5.40
"

inherit cargo

DESCRIPTION="Custom River layout manager that creates a Binary Space Partition"
HOMEPAGE="https://github.com/areif-dev/river-bsp-layout"
SRC_URI="
	https://github.com/areif-dev/river-bsp-layout/archive/refs/tags/v${PV}.tar.gz
	${CARGO_CRATE_URIS}
"

LICENSE="GPL-3"
LICENSE+=" MIT Unicode-DFS-2016"
SLOT="0"
KEYWORDS="~* amd64"
