# No copyright

EAPI=8

inherit meson

DESCRIPTION="Independent session/login tracker"
HOMEPAGE="https://github.com/chimera-linux/turnstile"
SRC_URI="https://github.com/chimera-linux/turnstile/archive/refs/tags/v${PV}.tar.gz"

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~* amd64"
IUSE="+man pam"

DEPEND="pam? ( sys-libs/pam )"
RDEPEND="${DEPEND}"
#BDEPEND=""

src_configure() {
	local emesonargs=(
		$(meson_use man)
		-Ddinit=disabled
	)
	meson_src_configure
}

src_install() {
	newinitd "${FILESDIR}"/${P}-init.d turnstiled
	meson_src_install
}
